Show / Hide Table of Contents

# Interface IAudioChannel

Represents a generic audio channel.

##### Inherited Members

IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IAudioChannel : IChannel, ISnowflakeEntity, IEntity<ulong>

### Methods

| Improve this Doc View Source

#### ConnectAsync(Boolean, Boolean, Boolean)

Connects to this audio channel.

##### Declaration

    Task<IAudioClient> ConnectAsync(bool selfDeaf = false, bool selfMute = false, bool external = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | selfDeaf | Determines whether the client should deaf itself upon connection.
System.Boolean | selfMute | Determines whether the client should mute itself upon connection.
System.Boolean | external | Determines whether the audio client is an external one or not.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IAudioClient> | A task representing the asynchronous connection operation. The task result contains the IAudioClient responsible for the connection.

| Improve this Doc View Source

#### DisconnectAsync()

Disconnects from this audio channel.

##### Declaration

    Task DisconnectAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task | A task representing the asynchronous operation for disconnecting from the audio channel.